Bug 968931 - Crash in Xspice after closing tab with spice-html5
Crash in Xspice after closing tab with spice-html5
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 06:04 EDT by Vojtěch Boček
Modified: 2015-02-18 06:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (5.56 KB, text/plain)
2013-05-30 06:04 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-30 06:04:19 EDT
Created attachment 754753 [details]
Xorg log

Description of problem:
Xspice server[1] crashes after after second close of tab with running spice-html5 session in firefox:

Xorg: marshaller.c:197: spice_marshaller_destroy: Assertion `m->data->marshallers == m' failed.

[1]: sudo Xspice --disable-ticketing --xsession /usr/bin/gnome-terminal :1 --port 5909

Version-Release number of selected component (if applicable):
spice-server-0.12.3-1.fc19.x86_64
spice-gtk3-0.19-1.fc19.x86_64
spice-html5-0.1.2-2.fc19.noarch
firefox-21.0-3.fc19.x86_64
xorg-x11-server-Xspice-0.1.1-0.8.20130514git77a1594.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start Xspice server on port 5909
2.  websockify 5959 localhost:5909
3. Go to http://localhost//spice
4. Click "start"
5. Close that browser tab
6. Open new tab, go to http://localhost//spice and click start again
7. Close that browser tab

(I was testing https://fedoraproject.org/wiki/QA:Testcase_Spice_html5 )

Actual results:
Xspice server crashes with "Xorg: marshaller.c:197: spice_marshaller_destroy: Assertion `m->data->marshallers == m' failed."

Expected results:
Xspice should not crash.
Comment 1 Jeremy White 2013-05-30 10:21:06 EDT
I was able to reproduce this as well (and both Alon and I have seen this error at times in the past).  For me, it took several tab closings to trigger the issue.  Shutting down normally (clicking stop) did not seem to trigger the issue.

I'm fairly certain that this is not a spice-html5 error, so much as a spice server / qxl driver bug.  That is, if you were to replicate this with any client, perhaps having to exit using kill -9, I suspect you would get the same results.

However, it may be that this is a very useful test case to help us reproduce this reliably and squash it.

So thanks for the report!
Comment 2 Alon Levy 2013-10-20 10:43:41 EDT
fixed by 9075ac50655b1035275a4b79d6cfdc0de38dcca0
Comment 3 Fedora Admin XMLRPC Client 2014-03-17 05:26:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-01-09 17:26:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:04:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.